Warning: is_readable(): open_basedir restriction in effect. File(/gitinfo/info.json) is not within the allowed path(s): (/www/wwwroot/wiki.guguwo.top/:/tmp/) in /www/wwwroot/wiki.guguwo.top/includes/utils/GitInfo.php on line 177
MediaWiki:Common.css:修订间差异 - 咕咕窝wiki

MediaWiki:Common.css:修订间差异

MediaWiki界面页面
无编辑摘要
(页面内容被替换为“#p-logo { background-image: url('https://wiki.rotaeno.cn/images/1/13/Icon_Wiki_Main.png'); background-size: contain; background-repeat: no-repeat; background-position: center; height: 50px; width: 150px; }”)
标签替换
第1行: 第1行:
/* 这里放置的CSS将应用于所有皮肤 */
#p-logo {
 
    background-image: url('https://wiki.rotaeno.cn/images/1/13/Icon_Wiki_Main.png');
/* 右浮目录[测试样式] todo:响应式处理 */
    background-size: contain;
@media screen and (min-width: 1200px){
    background-repeat: no-repeat;
#toc{
    background-position: center;
float:right;
    height: 50px;
margin:0 0 1em 1em;
    width: 150px;
overflow-y: scroll;
position:fixed;
top:150px;
right:10px;
z-index:99
}
}
}
/* 双端内容分开显示 */
.nodesktop {display:none;}
/* 防止pre模块溢出使得文本不可读*/
pre {overflow-x: auto;}
code, pre {word-break: break-word;}
/* 信息框图片位置随设备调整 */
@media all and ( min-width: 720px ) {
.toppic {
    display: none;
    }
}
@media all and ( max-width: 720px ) {
.sidepic {
    display: none;
    }
   
}
/* [[模板:来源请求]]背景色调整 */
.template-facttext{
    background-color: #eaecf0; margin: -.3em 0; padding: .3em 0;
}
/* MainPage */
.mp-box {
    background : url('https://wiki.rotaeno.cn/images/f/ff/Rotaeno_Website_Background_Cut.png') no-repeat;
  }
 
  .mp-circle {
    background : url('https://wiki.rotaeno.cn/images/4/40/Rotaeno_Website_Background.png');
  }
 
  .mp-icon {
    background : url('https://wiki.rotaeno.cn/images/1/13/Icon_Wiki_Main.png') no-repeat;
  }
 
  .mp-icon-new{
      background: url("https://wiki.rotaeno.cn/images/1/10/Icon_MainPage_News.png") no-repeat;
 
  }
 
  .mp-icon-next{
      background: url("https://wiki.rotaeno.cn/images/9/95/Icon_MainPage_Next.png") no-repeat;
  }
 
  .mp-icon-dev{
      background: url("https://wiki.rotaeno.cn/images/c/c0/Icon_MainPage_Dev.png") no-repeat;
  }
/* 表格样式:rotable */
.rotable {
    width: 100%;
    border-collapse: collapse;
   
    margin:15px 0;
}
.rotable caption {
    font-size: 2em;
    font-weight: bold;
    margin: 1em 0;
}
.rotable th,
.rotable td {
    border: 1px solid #999;
    text-align: center;
    padding: 3.5px;
}
.rotable th {
  background-color: #dfe3f3;
  color: #000;
}
.rotable tr:first-child th {
    background-color: #bac3ed;
    color: #000;
}
.rotable tbody tr:nth-child(odd) {
    background-color: #eee;
}
.rotable tbody tr:hover {
    background-color: #ccc;
}
.rotable-title th,th.rotable-title {
    background-color: #bac3ed;
}
.rotable-title:hover {
    background-color: unset !important;
}
/* 以下是维基百科样式,通过CC-BY-SA 3.0授权 */
/* Default styling for Navbar template */
.navbar {
    display: inline;
    font-weight: normal;
}
.navbar ul {
    display: inline;
    white-space: nowrap;
}
.navbar li {
    word-spacing: -0.125em;
}
.navbar.mini li abbr[title] {
    font-variant: small-caps;
    border-bottom: none;
    text-decoration: none;
    cursor: inherit;
}
/* Navbar styling when nested in navbox */
.navbox .navbar {
    display: block;
}
.navbox-title .navbar {
    /* @noflip */
    float: left;
    /* @noflip */
    text-align: left;
    /* @noflip */
    margin-right: 0.5em;
    width: 8em;
}
/* Style for horizontal lists (separator following item) */
.skin-monobook .hlist dl,
.skin-modern .hlist dl,
.skin-vector .hlist dl {
    line-height: 1.5em;
}
.hlist dl,
.hlist ol,
.hlist ul {
    margin: 0;
}
.hlist dd,
.hlist dt,
.hlist li {
    display: inline;
    margin: 0;
}
/* Display nested lists inline */
.hlist.inline,
.hlist.inline dl,
.hlist.inline ol,
.hlist.inline ul,
.hlist dl dl, .hlist dl ol, .hlist dl ul,
.hlist ol dl, .hlist ol ol, .hlist ol ul,
.hlist ul dl, .hlist ul ol, .hlist ul ul {
display: inline;
}
/* Generate interpuncts */
.hlist dt:after {
    content: " :";
}
.hlist dd:after,
.hlist li:after {
    content: " · ";
    font-weight: bold;
}
.hlist dd:last-child:after,
.hlist dt:last-child:after,
.hlist li:last-child:after {
    content: none;
}
/* for IE 8 */
.hlist dd.nopunct:after,
.hlist dt.nopunct:after,
.hlist li.nopunct:after {
    content: none;
}
/* Add parens around nested lists */
.hlist dl dl:before,
.hlist ol ol:before,
.hlist ul ul:before {
    content: "(";
}
.hlist dl dl:after,
.hlist ol ol:after,
.hlist ul ul:after {
    content: ")";
}
/* Put numbers in ordered lists */
.hlist.hnum ol li {
    counter-increment: level1;
}
.hlist.hnum ol li:before {
    content: counter(level1) " ";
}
.hlist.hnum ol ol li {
    counter-increment: level2;
}
.hlist.hnum ol ol li:before {
    content: counter(level2) " ";
}
/*
== Infobox ==
*/
.infobox {
  border: 1px solid #a2a9b1;
  background-color: #f8f9fa;
  color: black;
  margin-bottom: 0.5em;
  margin-left: 1em;
  padding: 0.2em;
  float: right;
  clear: right;
}
.infobox td,
.infobox th {
  vertical-align: top;
}
.infobox caption {
  font-size: larger;
}
.infobox.bordered {
  border-collapse: collapse;
}
.infobox.bordered td,
.infobox.bordered th {
  border: 1px solid #a2a9b1;
}
.infobox.bordered .borderless td,
.infobox.bordered .borderless th {
  border: 0;
}
.infobox.sisterproject {
  width: 20em;
  font-size: 90%;
}
/* styles for bordered infobox with merged rows */
.infobox.bordered .mergedtoprow td,
.infobox.bordered .mergedtoprow th {
  border: 0;
  border-top: 1px solid #a2a9b1;
  border-right: 1px solid #a2a9b1;
}
.infobox.bordered .mergedrow td,
.infobox.bordered .mergedrow th {
  border: 0;
  border-right: 1px solid #a2a9b1;
}
/* styles for geography infoboxes, e

2025年1月30日 (四) 15:26的版本

#p-logo {
    background-image: url('https://wiki.rotaeno.cn/images/1/13/Icon_Wiki_Main.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    height: 50px;
    width: 150px;
}